package com.ibiz5.sample.vo;

import java.sql.Timestamp;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import org.springframework.util.StringUtils;
import com.ibiz5.sample.domain.IBZ5ORDER;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import java.util.Map;
import java.util.Date;
import org.springframework.cglib.beans.BeanCopier;
import javax.validation.constraints.Size;
import java.util.UUID;
import org.springframework.cglib.beans.BeanCopier;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.ibiz5.ibizutil.security.AuthenticationUser;
import java.math.BigInteger;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonFilter;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter;
import com.fasterxml.jackson.databind.ser.impl.SimpleFilterProvider;
import java.util.HashSet;
import java.util.Set;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class IBZ5ORDER_EditForm_Form2{

    @JsonProperty(access=Access.WRITE_ONLY)
    private Map<String,String> srfparentdata;
    @JsonIgnore
    private Timestamp updatedate;
    @JsonProperty(access=Access.WRITE_ONLY)
    private String srforikey;
    @JsonIgnore
    private String ibz5orderid;
    @JsonIgnore
    private String ibz5ordername;
    @JsonIgnore
    private String srftempmode;
    @JsonProperty
    private String srfuf;
    @JsonProperty
    private String srfdeid;
    @JsonProperty(access=Access.WRITE_ONLY)
    private String srfsourcekey;
    @JsonProperty
    private String srfip_amount;
    @JsonIgnore
    private String orderuid;
    @JsonIgnore
    private String ordertype;
    @JsonIgnore
    private Timestamp ordertime;
    @JsonIgnore
    private Timestamp starttime;
    @JsonIgnore
    private Timestamp endtime;
    @JsonIgnore
    private Double amount;
    @JsonIgnore
    private Integer detailnum;
    @JsonIgnore
    private String memo;
    @JsonIgnore
    private String orderstate;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JsonProperty(value = "srfupdatedate")
    public Timestamp getSrfupdatedate(){
        return updatedate;
    }
    @JsonProperty(value = "srfupdatedate")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public void setSrfupdatedate(Timestamp updatedate){
        this.updatedate = updatedate;
    }
    @Size(min = 0, max = 100, message = "[订单标识]长度必须在[100]以内!")
    @JsonProperty(value = "srfkey")
    public String getSrfkey(){
        return ibz5orderid;
    }
    @JsonProperty(value = "srfkey")
    public void setSrfkey(String ibz5orderid){
        this.ibz5orderid = ibz5orderid;
    }
    @Size(min = 0, max = 200, message = "[订单名称]长度必须在[200]以内!")
    @JsonProperty(value = "srfmajortext")
    public String getSrfmajortext(){
        return ibz5ordername;
    }
    @NotBlank(message = "[订单编号]不允许为空!")
    @Size(min = 0, max = 100, message = "[订单编号]长度必须在[100]以内!")
    @JsonProperty(value = "orderuid")
    public String getOrderuid(){
        return orderuid;
    }
    @JsonProperty(value = "orderuid")
    public void setOrderuid(String orderuid){
        this.orderuid = orderuid;
    }
    @Size(min = 0, max = 200, message = "[订单名称]长度必须在[200]以内!")
    @JsonProperty(value = "ibz5ordername")
    public String getIbz5ordername(){
        return ibz5ordername;
    }
    @JsonProperty(value = "ibz5ordername")
    public void setIbz5ordername(String ibz5ordername){
        this.ibz5ordername = ibz5ordername;
    }
    @Size(min = 0, max = 60, message = "[订单类型]长度必须在[60]以内!")
    @JsonProperty(value = "ordertype")
    public String getOrdertype(){
        return ordertype;
    }
    @JsonProperty(value = "ordertype")
    public void setOrdertype(String ordertype){
        this.ordertype = ordertype;
    }
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JsonProperty(value = "ordertime")
    public Timestamp getOrdertime(){
        return ordertime;
    }
    @JsonProperty(value = "ordertime")
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    public void setOrdertime(Timestamp ordertime){
        this.ordertime = ordertime;
    }
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JsonProperty(value = "starttime")
    public Timestamp getStarttime(){
        return starttime;
    }
    @JsonProperty(value = "starttime")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public void setStarttime(Timestamp starttime){
        this.starttime = starttime;
    }
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JsonProperty(value = "endtime")
    public Timestamp getEndtime(){
        return endtime;
    }
    @JsonProperty(value = "endtime")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public void setEndtime(Timestamp endtime){
        this.endtime = endtime;
    }
    @JsonProperty(value = "amount")
    public Double getAmount(){
        return amount;
    }
    @JsonProperty(value = "amount")
    public void setAmount(Double amount){
        this.amount = amount;
    }
    @JsonProperty(value = "detailnum")
    public Integer getDetailnum(){
        return detailnum;
    }
    @JsonProperty(value = "detailnum")
    public void setDetailnum(Integer detailnum){
        this.detailnum = detailnum;
    }
    @Size(min = 0, max = 2000, message = "[备注]长度必须在[2000]以内!")
    @JsonProperty(value = "memo")
    public String getMemo(){
        return memo;
    }
    @JsonProperty(value = "memo")
    public void setMemo(String memo){
        this.memo = memo;
    }
    @Size(min = 0, max = 60, message = "[订单状态]长度必须在[60]以内!")
    @JsonProperty(value = "orderstate")
    public String getOrderstate(){
        return orderstate;
    }
    @JsonProperty(value = "orderstate")
    public void setOrderstate(String orderstate){
        this.orderstate = orderstate;
    }
    @Size(min = 0, max = 100, message = "[订单标识]长度必须在[100]以内!")
    @JsonProperty(value = "ibz5orderid")
    public String getIbz5orderid(){
        return ibz5orderid;
    }
    @JsonProperty(value = "ibz5orderid")
    public void setIbz5orderid(String ibz5orderid){
        this.ibz5orderid = ibz5orderid;
    }
    public  void fromIBZ5ORDER(IBZ5ORDER sourceEntity)  {
        this.fromIBZ5ORDER(sourceEntity,true);
    }
     /**
	 * do转换为vo
	 * @param sourceEntity do数据对象
	 * @return
	 */
    public  void fromIBZ5ORDER(IBZ5ORDER sourceEntity,boolean reset)  {
      BeanCopier copier=BeanCopier.create(IBZ5ORDER.class, IBZ5ORDER_EditForm_Form2.class, false);
      copier.copy(sourceEntity,this,  null);
      this.toString();
	}
    /**
	 * vo转换为do
	 * @param
	 * @return
	 */
    public  IBZ5ORDER toIBZ5ORDER()  {
        IBZ5ORDER targetEntity =new IBZ5ORDER();
        BeanCopier copier=BeanCopier.create(IBZ5ORDER_EditForm_Form2.class, IBZ5ORDER.class, false);
        copier.copy(this, targetEntity, null);
        return targetEntity;
	}
}
